Introspect an OAuth access token
POST
/oauth/introspect
const url = 'https://api.muninx.com/oauth/introspect';const options = { method: 'POST', headers: { Authorization: 'Bearer <token>', 'Content-Type': 'application/x-www-form-urlencoded' }, body: new URLSearchParams({token: 'example', client_id: 'example', client_secret: 'example'})};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.muninx.com/oauth/introspect \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/x-www-form-urlencoded' \ --data token=example \ --data client_id=example \ --data client_secret=exampleAuthorizations
Section titled “Authorizations ”Request Body required
Section titled “Request Body required ” Media type application/x-www-form-urlencoded
object
token
required
string
client_id
string
client_secret
string
Example generated
token=example&client_id=example&client_secret=exampleResponses
Section titled “ Responses ”Introspection response
Media type application/json
object
active
required
boolean
scope
string
client_id
string
sub
string
exp
integer format: int64
iat
integer format: int64
resource
string
tenant_org
string
email
string format: email
role
string
Example generated
{ "active": true, "scope": "example", "client_id": "example", "sub": "example", "exp": 1, "iat": 1, "resource": "example", "tenant_org": "example", "role": "example"}Invalid client